Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface AdminManagement

All Known Implementing Classes:
  AdminManagementImpl

      public interface AdminManagement

Adminservice interface,including user/group/role management and their relationship

Method Summary
`OVMGroup` | `createGroup(java.lang.String groupName, java.lang.String desc)` createGroup
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password)` Deprecated.
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password, java.lang.Long roleId)` createUser
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password, java.lang.String accountStatus)` Deprecated.
`OVMUser` | `createUser(java.lang.String accountName, java.lang.String email, java.lang.String firstName, java.lang.String lastName, java.lang.String password, java.lang.String accountStatus, java.lang.Long roleId)` createUser
`OVMUserGroup` | `createUserGroup(java.lang.Long userId, java.lang.Long groupId)` createUserGroup
`OVMUserSite` | `createUserSite(java.lang.Long userId, java.lang.Long siteId)` createUserSite
`OVMGroup[]` | `findAllOVMGroup()` findAllOVMGroup
`OVMRole[]` | `findAllOVMRole()` find all ovmRoleCofig objects
`OVMUser[]` | `findAllOVMUser()` findAllOVMUser
`OVMUserGroup[]` | `findAllOVMUserGroup()` findAllOVMUserGroup
`OVMUserRole[]` | `findAllOVMUserRole()` findAllOVMUserRole
`OVMUserSite[]` | `findAllOVMUserSite()` findAllOVMUserSite
`OVMUser` | `findUserById(java.lang.Long Id)` find user by id
`boolean` | `isAdminUser(java.lang.String accountName)` check if user is admin user
`java.lang.String` | `login(java.lang.String accountName, java.lang.String password, java.lang.String extProps)` login API
`boolean` | `logout(java.lang.String token, java.lang.String accountName, java.lang.String password)` logout API
`OVMUser[]` | `searchUsers(java.lang.String accountName, java.lang.String email, java.lang.String status)`

Method Detail

### findUserById

    OVMUser findUserById(java.lang.Long Id)

  find user by id
  Parameters:
    `Id` -
  Returns:
    OVMUser

### createGroup

    OVMGroup createGroup(java.lang.String groupName,
                         java.lang.String desc)
                         throws oracle.ovs.biz.exception.OVSException

  createGroup
  Parameters:
    `groupName` -
    `desc` -
  Returns:
    OVMGroup
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUserGroup

    OVMUserGroup createUserGroup(java.lang.Long userId,
                                 java.lang.Long groupId)
                                 throws oracle.ovs.biz.exception.OVSException

  createUserGroup
  Parameters:
    `userId` -
    `groupId` -
  Returns:
    OVMUserGroup
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUserSite

    OVMUserSite createUserSite(java.lang.Long userId,
                               java.lang.Long siteId)
                               throws oracle.ovs.biz.exception.OVSException

  createUserSite
  Parameters:
    `userId` -
    `siteId` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUser

    OVMUser createUser(java.lang.String accountName,
                       java.lang.String email,
                       java.lang.String firstName,
                       java.lang.String lastName,
                       java.lang.String password)
                       throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  createUser
  Parameters:
    `accountName` -
    `email` -
    `firstName` -
    `lastName` -
    `password` - String password = "password"; byte messageByte[] = password.getBytes(); MessageDigest md5 = MessageDigest.getInstance("MD5"); byte digestByte[] = md5.digest(messageByte); BASE64Encoder b64Encoder = new BASE64Encoder(); String encryptedPassword = b64Encoder.encode(digestByte);
  Returns:
    OVMUser
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUser

    OVMUser createUser(java.lang.String accountName,
                       java.lang.String email,
                       java.lang.String firstName,
                       java.lang.String lastName,
                       java.lang.String password,
                       java.lang.String accountStatus)
                       throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  createUser
  Parameters:
    `accountName` -
    `email` -
    `firstName` -
    `lastName` -
    `password` - String password = "password"; byte messageByte[] = password.getBytes(); MessageDigest md5 = MessageDigest.getInstance("MD5"); byte digestByte[] = md5.digest(messageByte); BASE64Encoder b64Encoder = new BASE64Encoder(); String encryptedPassword = b64Encoder.encode(digestByte);
    `accountStatus` -
  Returns:
    OVMUser
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUser

    OVMUser createUser(java.lang.String accountName,
                       java.lang.String email,
                       java.lang.String firstName,
                       java.lang.String lastName,
                       java.lang.String password,
                       java.lang.Long roleId)
                       throws oracle.ovs.biz.exception.OVSException

  createUser
  Parameters:
    `accountName` -
    `email` -
    `firstName` -
    `lastName` -
    `password` - String password = "password"; byte messageByte[] = password.getBytes(); MessageDigest md5 = MessageDigest.getInstance("MD5"); byte digestByte[] = md5.digest(messageByte); BASE64Encoder b64Encoder = new BASE64Encoder(); String encryptedPassword = b64Encoder.encode(digestByte);
    `roleId` -
  Returns:
    OVMUser
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### createUser

    OVMUser createUser(java.lang.String accountName,
                       java.lang.String email,
                       java.lang.String firstName,
                       java.lang.String lastName,
                       java.lang.String password,
                       java.lang.String accountStatus,
                       java.lang.Long roleId)
                       throws oracle.ovs.biz.exception.OVSException

  createUser
  Parameters:
    `accountName` -
    `email` -
    `firstName` -
    `lastName` -
    `password` - String password = "password"; byte messageByte[] = password.getBytes(); MessageDigest md5 = MessageDigest.getInstance("MD5"); byte digestByte[] = md5.digest(messageByte); BASE64Encoder b64Encoder = new BASE64Encoder(); String encryptedPassword = b64Encoder.encode(digestByte);
    `roleId` -
    `accountStatus` -
  Returns:
    OVMUser
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### findAllOVMGroup

    OVMGroup[] findAllOVMGroup()

  findAllOVMGroup
  Returns:
    OVMGroup list

### findAllOVMUser

    OVMUser[] findAllOVMUser()

  findAllOVMUser
  Returns:
    OVMUser list

### findAllOVMRole

    OVMRole[] findAllOVMRole()

  find all ovmRoleCofig objects
  Returns:
    OVMRoleCofig List

### searchUsers

    OVMUser[] searchUsers(java.lang.String accountName,
                          java.lang.String email,
                          java.lang.String status)

  Parameters:
    `accountName` -
    `email` -
    `status` -
  Returns:

### findAllOVMUserGroup

    OVMUserGroup[] findAllOVMUserGroup()

  findAllOVMUserGroup
  Returns:
    OVMUserGroup list

### findAllOVMUserRole

    OVMUserRole[] findAllOVMUserRole()

  findAllOVMUserRole
  Returns:
    All OVMUserRole list

### findAllOVMUserSite

    OVMUserSite[] findAllOVMUserSite()

  findAllOVMUserSite
  Returns:
    OVMUserSite list

### login

    java.lang.String login(java.lang.String accountName,
                           java.lang.String password,
                           java.lang.String extProps)
                           throws oracle.ovs.biz.exception.OVSException

  login API
  Parameters:
    `accountName` - name
    `password` - encrypted with MD5 and Base64 encode,see createUser
    `extProps` - can be null or anything String currently
  Returns:
    token:or exception when login failed
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### logout

    boolean logout(java.lang.String token,
                   java.lang.String accountName,
                   java.lang.String password)
                   throws oracle.ovs.biz.exception.OVSException

  logout API
  Parameters:
    `token` - generated by login API
    `accountName` - name
    `password` - encrypted with MD5 and Base64 encode,see createUser
  Returns:
    boolean
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### isAdminUser

    boolean isAdminUser(java.lang.String accountName)
                        throws oracle.ovs.biz.exception.OVSException

  check if user is admin user
  Parameters:
    `accountName` -
  Returns:
    true or false
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.